Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pokersource.enumerate
Class HoldemCanonGroup

    java.lang.Object
      org.pokersource.enumerate.BaseHandGroup
          org.pokersource.enumerate.HoldemCanonGroup

All Implemented Interfaces:
  java.lang.Comparable, HandGroup, HoldemHandGroup

    public class HoldemCanonGroup

extends BaseHandGroup
implements HoldemHandGroup

A holdem hand group representing sets of starting hands defined using canonical notation: "KK", "AQs", "T9".

Author:
  Michael Maurer <mjmaurer@yahoo.com>

Field Summary
`private static org.apache.oro.text.regex.Perl5Compiler` | `compiler`
`private static org.apache.oro.text.regex.Perl5Matcher` | `matcher`
`private static org.apache.oro.text.regex.Pattern` | `offsuitPattern`
`private static org.apache.oro.text.regex.Pattern` | `pairPattern`
`private static org.apache.oro.text.regex.Pattern` | `suitedPattern`

Fields inherited from class org.pokersource.enumerate.BaseHandGroup
`myhands, myspec`

Constructor Summary
`HoldemCanonGroup(java.lang.String groupSpec)` Convert canonical holdem starting hand notation to a HoldemCanonGroup object.

Method Summary
`private void` | `addOffsuit(int rank1, int rank2)`
`private void` | `addPair(int rank)`
`private void` | `addSuited(int rank1, int rank2)`
`static java.util.Iterator` | `allGroups()`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class org.pokersource.enumerate.BaseHandGroup
`compareTo, getGroupSpec, getHands, getHandSet, isHandInGroup, numHands, toString, toStringAtomic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pokersource.enumerate.HandGroup
`getGroupSpec, getHands, getHandSet, isHandInGroup, numHands, toString, toStringAtomic`

Field Detail

### compiler

    private static org.apache.oro.text.regex.Perl5Compiler compiler

### matcher

    private static org.apache.oro.text.regex.Perl5Matcher matcher

### pairPattern

    private static org.apache.oro.text.regex.Pattern pairPattern

### suitedPattern

    private static org.apache.oro.text.regex.Pattern suitedPattern

### offsuitPattern

    private static org.apache.oro.text.regex.Pattern offsuitPattern

Constructor Detail

### HoldemCanonGroup

    public HoldemCanonGroup(java.lang.String groupSpec)

  Convert canonical holdem starting hand notation to a HoldemCanonGroup object.

  Parameters:
    `groupSpec` - starting hand (e.g., AA, AKs, T9)

Method Detail

### addPair

    private void addPair(int rank)

### addSuited

    private void addSuited(int rank1,
                           int rank2)

### addOffsuit

    private void addOffsuit(int rank1,
                            int rank2)

### allGroups

    public static java.util.Iterator allGroups()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD